#include <defines.h>

#include <avr/io.h>

#include <main.h>




//---------- Funktionen ----------

int main( void )
{	
	z_init();
	init();
	
	while(1) {
		TGLBIT(PORTC, PC7);
		// executed every 100ms
		if(T100ms_flag) {
			T100ms_flag = 0;
			
			io_get_inputs();
		}
		asm("wdr");
	}
}

void z_init(void)
{	
	DDRA = 0x00;	
	DDRB = 0x00; 	
	DDRC = 0xFF; 
	DDRD = 0xFC; 	
	
	WDTCR = 0x0A;	// Watchdog enable, 65ms

	SREG = 0x80; 	// Interrupt enable
}


void init(void)
{

// Prozessoreinstellungen

	PORTA = 0x00;
	PORTC = 0x70;		// Alle Ausgnge auf Masse
	PORTB = 0x00; 		// Alle Ausgnge auf Masse
	PORTD = 0x00; 		// Alle Ausgnge auf Masse
	
	timer0_init();
	io_init();
}

