#ifndef TIMER_H
#define TIMER_H

//---------- Funktionsprototypen ----------

void timer0_enable_OCM_interrupt(void);
void timer0_disable_OCM_interrupt(void);
void timer0_init(void);
void timer0_set_ctcmode(void);
void timer0_set_prescaler(uint8_t psc_setting);
void timer0_set_reload_value(uint8_t rld);
void timer0_set_value(uint8_t val);
void timer0_stop(void);
void timer0_start(void);

uint8_t timer0_get_value(void);


//---------- Globale Variablen ----------

volatile uint8_t T1ms_flag;
volatile uint8_t T10ms_flag;
volatile uint8_t T100ms_flag;


#endif
